Package name
icclib
Date
2013-04-09
Advisory ID
MDVSA-2013:089
Affected versions
MBS1 x86_64

Problem description

A security issue was identified and fixed in icclib:

An integer overflow flaw, leading to a heap-based buffer overflow, was
found in Ghostscript's International Color Consortium Format library
(icclib). An attacker could create a specially-crafted PostScript or
PDF file with embedded images that would cause Ghostscript to crash
or, potentially, execute arbitrary code with the privileges of the
user running Ghostscript (CVE-2012-4405).

The updated packages have been patched to correct this issue.

Updated packages

MBS1 x86_64

 1e76597c7dfc8dfcfc81d8798b2475f1  mbs1/x86_64/icclib-2.13-2.1.mbs1.x86_64.rpm
 8f999cb58f2ddb7390c14e4513795f3d  mbs1/x86_64/lib64icc2-2.13-2.1.mbs1.x86_64.rpm
 dff6ae748a8d4ab89cb3525ff2dafa75  mbs1/x86_64/lib64icc-devel-2.13-2.1.mbs1.x86_64.rpm 
 a0462f9d5db09659065952472e65b9ab  mbs1/SRPMS/icclib-2.13-2.1.mbs1.src.rpm

References